@esc	@&$/
@line-header	PF(he->key->s,
@line-terminal	);
@code
/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	<stdio.h>
#include	"http.h"
#include	"xl.h"

#define PF	s_printf

@binary Polling.class polling_java polling_length

void
polling_class(HTTP_ENV * he)
{
	s_flush(he->key->s);
	s_write(he->key->s,polling_java,polling_length);
}

void
init_polling_class(XLISP_ENV * env)
{
XL_SEXP * r;
	r = get_raw(polling_java,polling_length);
	set_env(env,l_string(std_cm,"PollingClass"),r);
}

